Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Text ergänzen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Text ergänzen (778 mal gelesen)
thoumsen
Mitglied
Konstrukteur Metallbau, Betriebsinformatiker, usw usw..


Sehen Sie sich das Profil von thoumsen an!   Senden Sie eine Private Message an thoumsen  Schreiben Sie einen Gästebucheintrag für thoumsen

Beiträge: 100
Registriert: 25.11.2003

Mir gehts prächtig Kate, die Sonne scheint mir aus dem Arsch!
( George Clooney im Film "From Dusk till Dawn" )

erstellt am: 30. Jun. 2005 10:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

moin moin liebe gemeinde.
hoffe alle gut ausgeschlafen?

mir fehlt was..  ..nein nicht im oberstübchen. (oder doch..!?!?)

kennt jemand ein lisp mit dem ich eine unmenge von textelementen (in diesem fall pos-nr.) mit einem gleichen buchstaben oder textteil ergänzen kann?

etwa in der form dass ich den gewünschten text eingebe (z.b. "A") und dieser dann an einen haufen von ausgewählten textelementen voranstelle (oder anhänge).

(ehrlich gesagt hab ich im moment weder die zeit noch die nerven mir sowas komplet selbst zu schreiben (mea culpa) hab aber ca 8500 pos-nr. die ich ergänzen soll... )

gruss aus frangn
.: thoumsen :.

------------------
>> fanatismus ist der tod jeder guten idee  <<

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

WolfgangGutke
Mitglied
Konstrukteur


Sehen Sie sich das Profil von WolfgangGutke an!   Senden Sie eine Private Message an WolfgangGutke  Schreiben Sie einen Gästebucheintrag für WolfgangGutke

Beiträge: 109
Registriert: 28.09.2004

AutoCAD 2002
AutoCAD 2006
ObjectDCL 2.02

erstellt am: 30. Jun. 2005 11:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für thoumsen 10 Unities + Antwort hilfreich

in etwa so :

(defun c:Neutext ( / NeuTXT AWS)
  (setq NeuTXT (getstring "\nText :")
AWS (ssget '((0 . "Text"))))
  (if AWS
    (progn
      (foreach nAWS (lst:AWS->vla-List AWS)
(vla-put-TextString nAWS (strcat NeuTXT (vla-get-TextString nAWS)))
)
      (alert (strcat (itoa (sslength AWS)) " Textänderung durchgeführt!"))
      )
    )
  )

(defun lst:AWS->vla-List ( AWS / n Lst)
  ;Erstellen eine vla-Liste aus dem übergebenen Auswahlsatz
  (if AWS
    (repeat (setq n (sslength AWS))
      (setq n (1- n)
    Lst (cons (vlax-eName->vla-Object (ssname AWS n)) Lst))
      );repeat
    );if
 
  Lst
 
  );defun

VG
Wolfgang

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Geos
Mitglied
Vermessungstechniker i.R.


Sehen Sie sich das Profil von Geos an!   Senden Sie eine Private Message an Geos  Schreiben Sie einen Gästebucheintrag für Geos

Beiträge: 1017
Registriert: 21.09.2001

ACAD Map 2010, Win 7 Pro
eigene Lisp's<P>HW: Core i7 860, 2.8 GHz
3.3 GB, NVIDIA GeForce GTS 250

erstellt am: 30. Jun. 2005 11:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für thoumsen 10 Unities + Antwort hilfreich

Schau mal auf Mapcar's Seiten - wenn mich nicht alles täuscht gibts dort ähnliches als Beispiel:
http://autolisp.mapcar.net/

ups, zu spät
------------------
Gruß, Ernst
http://www.geopaint.at

[Diese Nachricht wurde von Geos am 30. Jun. 2005 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

thoumsen
Mitglied
Konstrukteur Metallbau, Betriebsinformatiker, usw usw..


Sehen Sie sich das Profil von thoumsen an!   Senden Sie eine Private Message an thoumsen  Schreiben Sie einen Gästebucheintrag für thoumsen

Beiträge: 100
Registriert: 25.11.2003

Mir gehts prächtig Kate, die Sonne scheint mir aus dem Arsch!
( George Clooney im Film "From Dusk till Dawn" )

erstellt am: 30. Jun. 2005 11:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

vielen vielen dank an euch!!!

das hilft mir schon super gut und hat sich somit auch schon erledigt 
ich habe selbst auch noch etwas adäquates gefunden!
SRXTEXT   von  www.aac-solutions.cz

das ding ist eine echte waffe wenn auch recht komplex zu bedienen.

aber mit dem code von wolfgang kann ich schon ganz gut weiterbasteln.

10000 dank nochmal
die Us (wenn auch viel zu wenig) sind unterwegs!!

gruss aus frangn
.: thoumsen :.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz